cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements

4282
Views
5
Helpful
8
Replies
noc Beginner
Beginner

CSM 4.1 - Flexconfig (Syntax errors detected - Failed to setup Velocity Engine to validate syntax)

Hi,

I am trying to build a simple flexconfig to remove some aaa statements. When I try to create any

basic flexconfig, I get the following error msg:

Syntax errors detected

Failed to setup Velocity Engine to validate syntax

Please correct errors.

The flexconfig consisted of the following cmd:

no aaa group server tacacs+ server123

I also tried cloning an existing example "IOS_enable_SSL", rename and recieved the same error.

What is the Velocity Engine and how can I verify that this component is working correctly?

Regards

Kevin

Everyone's tags (5)
8 REPLIES 8
Beginner

CSM 4.1 - Flexconfig (Syntax errors detected - Failed to setup V

Try downgrading Java version on your machine.

This version works: java version "1.6.0_03"

VIP Advocate

CSM 4.1 - Flexconfig (Syntax errors detected - Failed to setup V

Hi,

I've got the same issue with CSM 4.2 SP1 while trying to add sysopt connection tcpmss 0.

Using latest java on my local machine (for security reasons no downgrade possible).

Any solution?

This had worked in 3.3.x.

Highlighted
VIP Advocate

CSM 4.1 - Flexconfig (Syntax errors detected - Failed to setup V

Just updated my local Java installation to Java 7 Update 4 (the current one) and Flexconfigs work again

VIP Advocate

CSM 4.1 - Flexconfig (Syntax errors detected - Failed to setup V

With Java 7 Update 7+ (or so) it also stopped working again.

I'm now using a VM with Win XP and Java 6 to configure my Flex Configs.    

CSM 4.1 - Flexconfig (Syntax errors detected - Failed to setup V

Can someone provide valid java version for CSM 4.3 SP1? I'm using newest Java 7 update 11 and FlexConfigs don't work at all. New or existing configs, no difference. Same error

VIP Advocate

CSM 4.1 - Flexconfig (Syntax errors detected - Failed to setup V

Just discovered that I once saved this bug here: https://www.cisco.com/cisco/psn/bssprt/bss?searchType=bugIdSearch&bugId=CSCtz91443

They write since around today that it's finally fixed. Maybe this actually also fixes our issue here. Sadly there isn't yet a version given in which it's fixed.

VIP Advocate

CSM 4.1 - Flexconfig (Syntax errors detected - Failed to setup V

An Update. It still happens with CSM 4.4, but I discovered now that it works if I start CSM with "Run as admin".

CSM 4.1 - Flexconfig (Syntax errors detected - Failed to setup V

I can verify that it still happens with CSM 4.4 SP1 but that running CSM using "run as administrator" works here too.

CSM 4.4 SP1 with Java 7u21

-Michel